Name:		eric4
Version:	4.5.17
Release:	%mkrel 1
Summary:	A Python IDE
Summary(de):	Eine IDE für Python
Group:		Development/Python
License:	GPLv3+
URL:		http://eric-ide.python-projects.org/
Source0:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-%{version}.tar.xz
Source1:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-de-%{version}.tar.xz
Source2:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-fr-%{version}.tar.xz
Source3:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-it-%{version}.tar.xz
Source4:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-ru-%{version}.tar.xz
Source5:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-cs-%{version}.tar.xz
Source6:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-es-%{version}.tar.xz
Source7:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-tr-%{version}.tar.xz
Source8:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-zh_CN.GB2312-%{version}.tar.xz
Source9:	http://prdownloads.sourceforge.net/project/eric-ide/eric4/stable/%{version}/%{name}-i18n-en-%{version}.tar.xz

%py_requires -d
BuildRequires:	python-sip
BuildRequires:	python-qt4
BuildRequires:	python-qt4-qscintilla
BuildRequires:	python-qt4-help
BuildRequires:	qscintilla-qt4-devel 
BuildRequires:	imagemagick

Requires:	python-qt4
Requires:	python-qt4-qscintilla
Requires:	python-svn
Requires:	python-qt4-help
Obsoletes:	eric < %version
Provides:	eric = %version-%release
BuildRoot:	%{_tmppath}/%{name}-%{version}-buildroot

%description
Eric is a full featured Python and Ruby editor and IDE, written in python.
It is based on the cross platform Qt gui toolkit, integrating the highly flexible Scintilla editor control.
It is designed to be usable as everdays' quick and dirty editor as well
as being usable as a professional project management tool integrating many
advanced features Python offers the professional coder.

%description -l de
Eric ist ein Editor/IDE für Python und Ruby, welcher in Python geschrieben ist.
Er basiert auf dem plattform unabhängigen Qt GUI Toolkit und integriert die sehr 
flexible Scintilla-Editorkomponente. Das Programm ist dazu designt ein schneller 
und schmutziger Editor für den täglichen Gebrauch zu sein, aber genauso ein 
professionelles Projektmanagementwerkzeug, das viele fortgeschrittene Eigenschaften 
von Python anbietet, die professionelle Programmierer benötigen.

%prep
%setup -q -n %{name}-%{version}
%setup -q -n %{name}-%{version} -D -T -b 1
%setup -q -n %{name}-%{version} -D -T -b 2
%setup -q -n %{name}-%{version} -D -T -b 3
%setup -q -n %{name}-%{version} -D -T -b 4
%setup -q -n %{name}-%{version} -D -T -b 5
%setup -q -n %{name}-%{version} -D -T -b 6
%setup -q -n %{name}-%{version} -D -T -b 7
%setup -q -n %{name}-%{version} -D -T -b 8
%setup -q -n %{name}-%{version} -D -T -b 9

%install
python install.py -i %{buildroot} -b %{_bindir} -d %{py_puresitedir} \
		  -a %{qt4dir}/qsci/api

mkdir -p %{buildroot}%{py_puresitedir}/%{name}
mkdir -p %{buildroot}%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
mkdir -p %{buildroot}%{_datadir}/applications

convert -scale 48 eric/icons/default/eric.png %{buildroot}%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -scale 32 eric/icons/default/eric.png %{buildroot}%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -scale 16 eric/icons/default/eric.png %{buildroot}%{_iconsdir}/hicolor/16x16/apps/%{name}.png

mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Name=Eric
Comment=Python IDE
Comment[de]=Ein Editor und IDE für Python und Ruby
Exec=eric4
Icon=%{name}
Terminal=false
Type=Application
Categories=Development;IDE;QT;X-MandrivaLinux-MoreApplications-Development-Interpreters'
EOF


%files
%doc README THANKS LICENSE.GPL3
%{_bindir}/*
%{qt4dir}/qsci/api
%{py_puresitedir}/*
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog
* Sun Dec 29 2013 ghostbunny <hmhaase at pclinuxosusers dot de> 4.5.17-1pclos2014
- 4.5.17
- add xz compression for translation archives
- add German summary, description and comment in desktop file

* Fri Aug 16 2013 billybot <billybot> 4.5.6-2pclos2013
- update python 2.7

* Wed Apr 10 2013 Texstar <texstar at gmail.com> 4.5.6-1pclos2013
- 4.5.6

* Sun Sep 11 2011 Texstar <texstar at gmail.com> 4.4.17-1pclos2011
- 4.4.17

* Mon May 09 2011 Texstar <texstar at gmail.com> 4.4.14-1pclos2011
- 4.4.14

* Mon Apr 04 2011 johnnyblack <johnnyblack at inbox.com> 4.4.13-1pclos2011
- 4.4.13 and add BR python-qt4-help

* Wed Feb 09 2011 Texstar <texstar at gmail.com> 4.4.12-1pclos2011
- 4.4.12

* Tue Jan 04 2011 Texstar <texstar at gmail.com> 4.4.11-1pclos2011
- 4.4.11

* Mon Dec 06 2010 Texstar <texstar at gmail.com> 4.4.10-1pclos2010
- 4.4.10

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 4.4.8-1pclos2010
- 4.4.8

* Sat Sep 11 2010 Texstar <texstar at gmail.com> 4.4.7-1pclos2010
- 4.4.7

